"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _chunkFPWL5ND5js = require('./chunk-FPWL5ND5.js');

// src/index.ts
var _unplugin = require('unplugin');





var _common = require('@vue-macros/common');
function resolveOption(options) {
  const version = options.version || _common.detectVueVersion.call(void 0, );
  return {
    include: [
      _common.REGEX_VUE_SFC,
      _common.REGEX_SETUP_SFC,
      /\.(vue|setup\.[cm]?[jt]sx?)\?vue/
    ],
    version,
    ...options
  };
}
var name = "unplugin-vue-define-render";
var src_default = _unplugin.createUnplugin.call(void 0, 
  (userOptions = {}) => {
    const options = resolveOption(userOptions);
    const filter = _common.createFilter.call(void 0, options);
    return {
      name,
      enforce: "post",
      transformInclude(id) {
        return filter(id);
      },
      transform(code, id) {
        return _chunkFPWL5ND5js.transformDefineRender.call(void 0, code, id);
      }
    };
  }
);



exports.src_default = src_default;
